Installing FreeCAD 0.17 on Linux Mint 19.1

This subforum is specifically to discuss packaging issues on different platforms (windows, mac, linux), and using different packaging systems (conda, etc...)
BuddhiThathata
Posts: 2
Joined: Thu Dec 05, 2019 4:35 pm

Installing FreeCAD 0.17 on Linux Mint 19.1

Postby BuddhiThathata » Thu Dec 05, 2019 4:49 pm

Hi,

I must install FreeCAD 0.17 on three computers, Linux Mint 19.1, as a pre-request for a university activity.

I have been incapable of doing so.

"sudo apt-get install freecad=0.17" -> gives me "E: Version '0.17' for 'freecad' was not found".

Do anyone have an idea of what I can do?
User avatar
kkremitzki
Posts: 2159
Joined: Thu Mar 03, 2016 9:52 pm
Location: Texas

Re: Installing FreeCAD 0.17 on Linux Mint 19.1

Postby kkremitzki » Thu Dec 05, 2019 5:03 pm

Linux Mint 19 appears to be based on Ubuntu 18.04 which according to https://packages.ubuntu.com/bionic/freecad has 0.16.

Why not use version 0.18 which is the latest stable release?
Like my FreeCAD work? I'd appreciate any level of support via Patreon, Liberapay, or PayPal! Read more about what I do at my blog.
User avatar
Kunda1
Posts: 8437
Joined: Thu Jan 05, 2017 9:03 pm

Re: Installing FreeCAD 0.17 on Linux Mint 19.1

Postby Kunda1 » Thu Dec 05, 2019 5:08 pm

...or use the AppImage?
Want to contribute back to FC? Checkout:
#lowhangingfruit | Use the Source, Luke. | How to Help FreeCAD | How to report FC bugs and features
BuddhiThathata
Posts: 2
Joined: Thu Dec 05, 2019 4:35 pm

Re: Installing FreeCAD 0.17 on Linux Mint 19.1

Postby BuddhiThathata » Thu Dec 05, 2019 5:21 pm

Version 18 seems to have some problems, which 17 do not. That, at least, was the explanation given to me of why the installation of 17 should be done in all computers.